#include <iostream>
#include <vector>
#include <conio.h>
#include "histogram.h"
#include "text.h"
#include "svg.h"
using namespace std;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& in, bool prompt)
{
    size_t number_count;
    if (prompt)
    cerr << "Enter number count: ";
    in >> number_count;

    Input ik;
    ik.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++)
    {
        cin >> ik.numbers[i];
    }
    cerr << "Enter bin count: ";
    cin>> ik.bin_count;
    return ik;
}



int main()
{
    auto in = input_data(cin, true);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    getch();
    return 0;
}
